Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.svcorch
Interface ExceptionHandler

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ExceptionHandler

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Exception Handler'.

The following features are supported:

- `Handled Exception`
- `First Recovery Node`

See Also:
  `SvcorchPackage.getExceptionHandler()`

Method Summary
`Node` | `getFirstRecoveryNode()` Returns the value of the 'First Recovery Node' reference
`org.eclipse.emf.common.util.EList<Exception>` | `getHandledException()` Returns the value of the 'Handled Exception' reference list.
`void` | `setFirstRecoveryNode(Node value)` Sets the value of the '`First Recovery Node`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getHandledException

    org.eclipse.emf.common.util.EList<Exception> getHandledException()

  Returns the value of the 'Handled Exception' reference list. The list contents are of type `Exception`.

  If the meaning of the 'Handled Exception' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Handled Exception' reference list.
  See Also:
    `SvcorchPackage.getExceptionHandler_HandledException()`

### getFirstRecoveryNode

    Node getFirstRecoveryNode()

  Returns the value of the 'First Recovery Node' reference.

  If the meaning of the 'First Recovery Node' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'First Recovery Node' reference.
  See Also:
    `setFirstRecoveryNode(Node)`, `SvcorchPackage.getExceptionHandler_FirstRecoveryNode()`

### setFirstRecoveryNode

    void setFirstRecoveryNode(Node value)

  Sets the value of the '`First Recovery Node`' reference.

  Parameters:
    `value` - the new value of the 'First Recovery Node' reference.
  See Also:
    `getFirstRecoveryNode()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD